%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 0
%define api 0.3
%define libname %mklibname %{name} %{api} %{major}
%define girname %mklibname %{name}-gir %{api}
%define develname %mklibname -d %{name}

Name:		gegl
Version:	0.3.14
Release:	%mkrel 1
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Summary(de): GEGL (Generic Graphics Library) - Farbbibliothek Gegl
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/
Source0:	ftp://ftp.gimp.org/pub/gegl/%{url_ver}/%{name}-%{version}.tar.xz
#----------------------------------------------
Patch0:		gegl-0.3.4-soname.patch
Patch1:		gegl-0.3.4-linking.patch
Patch2:		0001-build-move-G_LOG_DOMAIN-define-to-a-Makefile.am-as-s.patch
#----------------------------------------------
BuildRequires: %{_lib}babl0.1-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gexiv2-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}ilmbase-devel
BuildRequires: %{_lib}jasper-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}OpenEXR-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}spiro-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}webp-devel
BuildRequires: %{_lib}vala-devel
BuildRequires: LibRaw-devel
BuildRequires: asciidoc
BuildRequires: enscript
BuildRequires: graphviz
BuildRequires: ruby
BuildRequires: locales
BuildRequires: vala-tools
#----------------------------------------------

%description
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

#german
%description -l de
GEGL (Generic Graphics Library) - Farbbibliothek Gegl 

Dank der neuen Farbbibliothek Gegl soll Gimp 32 Bit Farbtiefe pro 
Kanal ermöglichen und das RAW-Dateiformat verarbeiten.

%package -n     %{libname}
Summary:        A library for %{name}
Summary(de):	Bibliothek für %name
Group:          System/Libraries

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

#german
%description -n %{libname} -l de
GEGL (Generic Graphics Library) - Farbbibliothek Gegl 

Dank der neuen Farbbibliothek Gegl soll Gimp 32 Bit Farbtiefe pro 
Kanal ermöglichen und das RAW-Dateiformat verarbeiten. 


%package -n     %{develname}
Summary:        Header files for %{name}
Summary(de):	Headerdateien für %name
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:		%{_lib}gegl0.3-devel

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

#german
%description -n %{develname} -l de
GEGL (Generic Graphics Library) - Farbbibliothek Gegl 

Dank der neuen Farbbibliothek Gegl soll Gimp 32 Bit Farbtiefe pro 
Kanal ermöglichen und das RAW-Dateiformat verarbeiten.

%package doc
Summary:  %{summary}
Group: Documentation
BuildArch: noarch

%description doc
This package provides API documentation for %name.

#german
%description doc -l de
Die API Dokumentation für %name.


%prep
%setup -q
%apply_patches

%build
export LC_ALL=UTF-8
autoreconf -vfi
%configure2_5x --disable-workshop
make

%install
rm -rf %buildroot
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%find_lang gegl-%{api}

%files -f gegl-%{api}.lang
%{_bindir}/gegl
%{_bindir}/gegl-imgcmp


%files -n %{libname}
%{_libdir}/libgegl-%{api}.so.%{major}*
%{_libdir}/libgegl-npd-%{api}.so.%{major}*
%{_libdir}/libgegl-sc-%{api}.so.%{major}*
%{_libdir}/gegl-%{api}/
%{_libdir}/girepository-1.0/Gegl-%{api}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gegl-%{api}.gir
%{_datadir}/vala/vapi/gegl-%{api}.*

%files doc
%doc ChangeLog README AUTHORS NEWS
%doc %{_datadir}/gtk-doc/html/gegl/

%changelog
* Sat Jun 09 2018 adrianomorselli <adrianomorselli> 0.3.14-1uplos2018
- update
